> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Usages

> List saved Edge/check references, including disabled checks, by scanning bounded
 candidate pages. This view is informational, not an authorization to delete.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/edge-integrations/{id}/usages
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/edge-integrations/{id}/usages:
    get:
      tags:
        - Edge
      summary: List Usages
      description: >-
        List saved Edge/check references, including disabled checks, by scanning
        bounded
         candidate pages. This view is informational, not an authorization to delete.
      operationId: c1.api.edge.v1.EdgeIntegrationService.ListUsages
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: Owning application identifier.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Integration identifier.
            type: string
        - in: query
          name: page_size
          schema:
            description: >-
              Maximum number of candidate Edges to inspect. Zero uses the
              default.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: Continuation token from the previous page.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.edge.v1.EdgeIntegrationServiceListUsagesResponse
          description: >-
            EdgeIntegrationServiceListUsagesResponse contains matching Edges in
            a candidate page.
      x-codeSamples:
        - lang: go
          label: ListUsages
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.EdgeIntegration.ListUsages(ctx, operations.C1APIEdgeV1EdgeIntegrationServiceListUsagesRequest{\n        AppID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.EdgeIntegrationServiceListUsagesResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.edge.v1.EdgeIntegrationServiceListUsagesResponse:
      description: >-
        EdgeIntegrationServiceListUsagesResponse contains matching Edges in a
        candidate page.
      properties:
        list:
          description: >-
            Saved references found in this page. May be empty even when another
            page exists.
          items:
            $ref: '#/components/schemas/c1.api.edge.v1.EdgeIntegrationUsage'
          type:
            - array
            - 'null'
        nextPageToken:
          description: Continue scanning with this token, even if list is empty.
          type: string
      title: Edge Integration Service List Usages Response
      type: object
      x-speakeasy-name-override: EdgeIntegrationServiceListUsagesResponse
    c1.api.edge.v1.EdgeIntegrationUsage:
      description: >-
        EdgeIntegrationUsage identifies saved checks that reference an
        integration.
      properties:
        checkIds:
          description: Referencing check identifiers, including disabled checks.
          items:
            type: string
          type:
            - array
            - 'null'
        edgeId:
          description: Edge containing the checks.
          type: string
      title: Edge Integration Usage
      type: object
      x-speakeasy-name-override: EdgeIntegrationUsage
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````